/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.service;

import net.northking.cctp.common.db.BasicService;
import net.northking.cctp.dw.db.entity.MidProjectInfo;
import net.northking.cctp.dw.dto.MidProjectInfoAddDto;
import net.northking.cctp.dw.dto.ProjectDataVo;

import java.util.List;

/**
 * 系统信息中间表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-16 11:43:35  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
public interface MidProjectInfoService extends BasicService<MidProjectInfo>
{
    /**
     * 新增或修改信息
     * @param dto
     */
    void addOrUpdateInfo(MidProjectInfoAddDto dto);

    /**
     * 逻辑删除
     * @param projectIds
     */
    void deleteByProjectIds(List<String> projectIds);

    List<String> findByTenantId(String tenantId);

    List<MidProjectInfo> findByProjectIds(List<MidProjectInfo> dataList);

    ProjectDataVo getFinishedProjectAmountByTenantId(String tenantId,List<String> projectIds);

    List<ProjectDataVo> getProjectStatuss(List<String> projectIds);


// ----      The End by Generator     ----//

}
